
#' trialr: clinical trial designs in R and Stan
#'
#' trialr collects in one place Bayesian clinical trial designs.
#' Generally, Bayesian models are implemented in Stan and helper
#' functions are provided in R.
#'
#' \pkg{trialr} currently implements:
#' \enumerate{
#'   \item EffTox, by Thall & Cook (2004)
#'   \item a Hierarchical Bayesian model for binary response outcomes, by Thall,
#'   Wathen, Bekele, Champlin, Baker & Benjamin (2003)
#'   \item Bayesian Evaluation of Bivariate Binary Outcomes with Predictive
#'   Information (BEBOP), by Brock et al.
#' }
#'
#' There is a preponderance of early-phase clinical trial designs because these
#' are the scenarios that tend to use Bayesian methodology.

"_PACKAGE"
